#ifndef PLOTCONTROL_H
#define PLOTCONTROL_H


#include "common.h"
#include "HarkioParam.h"


//----------------------------------------------------------------//
// グラフ管理用クラス
//----------------------------------------------------------------//
class PlotControl
{
public:
    long          pid;                        // gnuplot pid
    boost::filesystem::path  hark_file_path;  //hark_file_path
    harkio::HARK  *harkio;                    //harkioのデータを格納
    HarkioParam   param;                      //harktool4_cui引数用パラメータ
    std::string   tmp_file;                   //plot時のtemp file
    std::string   mic_tmp_file;               //micのplot時のtemp file
    std::string   src_tmp_file;               //micのplot時のtemp file

    boost::filesystem::path  imp_hark_path;   //hark_file_path
    boost::filesystem::path  tsp_hark_path;   //hark_file_path
    boost::filesystem::path  mic_hark_path;   //hark_file_path
    boost::filesystem::path  noise_hark_path; //hark_file_path
public:
//    void kill();
//    void deleteTempFile();

//public:
//        void addPid(long pid);
//        void addTempFile(std::string file);
};








/*

void PlotControl::kill()
{
    char command[128];
    sprintf(command, "kill %ld > /dev/null", pid);
    int ret = system(command);

}


void PlotControl::deleteTempFile()
{
    char command[4098];
    sprintf(command, "rm -f %s > /dev/null", tmp_file.c_str());
    int ret = system(command);
}

*/




#endif // PLOTCONTROL_H
